Bug 615326 - error: not an rpm package
error: not an rpm package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 10:07 EDT by Steve Grubb
Modified: 2014-01-21 18:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2010-07-16 10:07:01 EDT
Description of problem:
I get the message: "error: not an rpm package". I have more than 1100 rpms in the cache. Which one is it not happy with? I think the message should at least tell me which package it does not like, or offer to delete and reimport the package if it can do so.

Version-Release number of selected component (if applicable):
livecd-tools-031-1.

Actual results:
Retrieving http://mirrors1.kernel.org/fedora/releases/11/Everything/x86_64/os/Packages/zlib-1.2.3-22.fc11.x86_64.rpm ...OK
error: not an rpm package
Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 140, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 123, in main
    creator.install()
  File "/usr/lib/python2.6/site-packages/imgcreate/creator.py", line 666, in install
    ayum.runInstall()
  File "/usr/lib/python2.6/site-packages/imgcreate/yuminst.py", line 181, in runInstall
    self.populateTs(keepold=0)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 208, in populateTs
    hdr = txmbr.po.returnHeaderFromPackage()
  File "/usr/lib/python2.6/site-packages/yum/packages.py", line 732, in returnHeaderFromPackage
    hdr = rpmUtils.miscutils.hdrFromPackage(ts, rpmfile)
  File "/usr/lib/python2.6/site-packages/rpmUtils/miscutils.py", line 414, in hdrFromPackage
    raise rpmUtils.RpmUtilsError, "RPM Error opening Package"
rpmUtils.RpmUtilsError: RPM Error opening Package
Comment 1 Jasper O'neal Hartline 2010-07-18 02:13:03 EDT
Well. This should be reassigned to Yum component.

[autopsy@localhost ~]$ rpm -qf /usr/lib/python2.6/site-packages/rpmUtils/miscutils.py
yum-3.2.27-4.fc13.noarch
[autopsy@localhost ~]$

The error message you are seeing could possibly be due to the package being corrupt. To make hdrFromPackage() more verbose, you want to submit a patch.
414 of /usr/lib/python2.6/site-packages/rpmUtils/miscutils.py


    except rpm.error, e:
        os.close(fdno)
        raise rpmUtils.RpmUtilsError, "RPM Error opening Package %s" %package


Would make your system more verbose. Perhaps you can check that your packages are or are not corrupt.
Comment 2 Bug Zapper 2011-06-01 09:43:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 09:25:39 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.